#pragma once

#include "CoreMinimal.h"
#include "DynamicAccessoryAnimInstance.h"
#include "Anniversary2024TryksAnimInstance.generated.h"

class AAnniversary2024Tryks;

UCLASS(Blueprintable, NonTransient)
class UAnniversary2024TryksAnimInstance : public UDynamicAccessoryAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isPlaying;

private:
	UPROPERTY(EditAnywhere, Transient)
	TWeakObjectPtr<AAnniversary2024Tryks> _tryks;

public:
	UAnniversary2024TryksAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UAnniversary2024TryksAnimInstance) { return 0; }
